Taken

Taken

Taken aanmaken, afronden en heropenen. Scope: tasks.read / tasks.write. Category: task|call|meeting.

Taken ophalen

GET /v1/tasks
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Naam Type Beschrijving
page integer
per_page integer
Request body

Geen

Response
data array
id string
title string
category string
Enum
task call meeting
status string
deadline string
client_id string
project_id string
created_at string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/tasks
curl -X GET "https://api.appficient.nl/v1/tasks" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Taak aanmaken

POST /v1/tasks
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body
title string Required
category string
Enum
task call meeting
notes string
deadline string
duration_minutes integer
client_id string
project_id string
deal_id string
Response
data object
id string
title string
category string
Enum
task call meeting
status string
meta object

Examples

POST /v1/tasks
curl -X POST "https://api.appficient.nl/v1/tasks" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string",
    "category": "task",
    "notes": "string",
    "deadline": "2026-07-01",
    "duration_minutes": 0,
    "client_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "project_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "deal_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}'

Curl, Node en response staan rechts naast dit endpoint.

Taak ophalen

GET /v1/tasks/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body

Geen

Response
data object
id string
title string
category string
Enum
task call meeting
status string
notes string
deadline string
duration_minutes integer
client_id string
project_id string
created_at string
meta object

Examples

GET /v1/tasks/{id}
curl -X GET "https://api.appficient.nl/v1/tasks/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Taak bijwerken

PATCH /v1/tasks/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body
title string
category string
Enum
task call meeting
notes string
deadline string
duration_minutes integer
Response
data object
id string
title string
category string
Enum
task call meeting
status string
notes string
deadline string
meta object

Examples

PATCH /v1/tasks/{id}
curl -X PATCH "https://api.appficient.nl/v1/tasks/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string",
    "category": "task",
    "notes": "string",
    "deadline": "2026-07-01",
    "duration_minutes": 0
}'

Curl, Node en response staan rechts naast dit endpoint.

Taak verwijderen

DELETE /v1/tasks/{id}
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body

Geen

Response

Geen

Examples

DELETE /v1/tasks/{id}
curl -X DELETE "https://api.appficient.nl/v1/tasks/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Taak afronden

POST /v1/tasks/{id}/complete
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body

Geen

Response
data object
id string
title string
status string
meta object

Examples

POST /v1/tasks/{id}/complete
curl -X POST "https://api.appficient.nl/v1/tasks/{id}/complete" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.

Taak heropenen

POST /v1/tasks/{id}/reopen
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Naam Type Beschrijving
id Required string
Request body

Geen

Response
data object
id string
title string
status string
meta object

Examples

POST /v1/tasks/{id}/reopen
curl -X POST "https://api.appficient.nl/v1/tasks/{id}/reopen" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node en response staan rechts naast dit endpoint.